php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Request #49672 openssl_x509_parse does not display criticality of extensions
Submitted: 2009-09-25 18:59 UTC Modified: 2018-05-05 13:07 UTC
Votes:1
Avg. Score:3.0 ± 0.0
Reproduced:1 of 1 (100.0%)
Same Version:1 (100.0%)
Same OS:1 (100.0%)
From: ppatters at gmail dot com Assigned:
Status: Wont fix Package: OpenSSL related
PHP Version: 5.3.0 OS: All
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: ppatters at gmail dot com
New email:
PHP Version: OS:

 

 [2009-09-25 18:59 UTC] ppatters at gmail dot com
Description:
------------
If openssl_x509_parse encounters an extension that is marked
"critical", it simply ignores this. It would be more useful to prefix
each critical extension with the word "Critical", and/or add this
extension to "Critical Extensions" array.


Patches

Add a Patch

Pull Requests

Pull requests:

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2010-11-24 11:16 UTC] jani@php.net
-Package: Feature/Change Request +Package: OpenSSL related
 [2018-05-05 13:07 UTC] ab@php.net
-Status: Open +Status: Wont fix
 [2018-05-05 13:07 UTC] ab@php.net
The PR is closed, the patch is not merged. I couldn't find any further info or any followups on this.
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Tue Oct 20 21:01:23 2020 UTC